## kaya 0.1.24

=== docs/Makefile ===
LATEX = latex
BIBTEX = bibtex
MAKEIDX = makeindex
DVIPS = dvips
DVIPDF = dvipdf

TARGET = kaya.ps

SRCS = kaya.tex

all: kaya.ps kaya.pdf

kaya.dvi: kaya.tex references.bib

html:
	latex2html kaya.tex -local_icons -bottom_navigation -style kaya.css
	cp kaya.css kaya
	tidy -modify kaya/*.html

clean:
	rm -f *.aux *.bbl *.blg *.dvi *.log *.pdf *.ps 
	rm -rf kaya

distclean: clean
	rm -f *~

%.ps: %.dvi
	dvips -f $< > $@

%.pdf: %.dvi
	dvipdfm $<

%.dvi: %.tex ${SRCS}
	${LATEX} $<
	${BIBTEX} $*    
	${LATEX} $<
	${LATEX} $<

=== tools/Makefile ===
all: dynlink

dynlink: dynlink.dph
	../compiler/dcc dynlink.dph -L ../stdlib -L ../rts -showgcc

clean:
	rm -f dynlink

=== examples/parser/Makefile ===
webcalc.cgi: calclang.k webcalc.k
	kayac webcalc.k -seedkey calc
	   
install: webcalc.cgi
	strip webcalc.cgi
	mkdir -p ~/public_html/webcalc
	cp *.k *.cgi ~/public_html/webcalc

## kaya 0.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -6,11 +6,13 @@
 
 TARGET = kaya.ps
 
-SRCS = kaya.tex
+SRCS = kaya.tex macros.ltx builtins.tex	functions.tex structure.tex \
+       expressions.tex future.tex lexical.tex types.tex \
+       foreign.tex internals.tex modules.tex webapps.tex
 
 all: kaya.ps kaya.pdf
 
-kaya.dvi: kaya.tex references.bib
+kaya.dvi: ${SRCS} references.bib
 
 html:
 	latex2html kaya.tex -local_icons -bottom_navigation -style kaya.css

=== tests/Makefile ===
test:
	perl ./runtest.pl all

update:
	perl ./runtest.pl all -u

diff:
	perl ./runtest.pl all -d

distclean:
	rm -f *~

## kaya 0.2.5

=== website/Makefile ===
KAYAC = ../compiler/kayac
CXXFLAGS = -I../rts -O2
KAYAINC = -noenvlibs -I../stdlib -I../rts -I../contrib -deprfail
INSTALLFLAGS = -m 644
CGIINSTFLAGS = -m 700
CGIDATAFLAGS = -m 600
SITE = index.cgi

INSTALLBASE=/users/kaya
INSTALLPATH=${INSTALLBASE}/web
XMLPATH=${INSTALLBASE}/libxml
CACHEPATH=${INSTALLBASE}/cache

all: ${SITE} examples logos sitemap.xml.gz

# since Kaya doesn't handle include dependencies yet
Content.o : Templates.o Constants.o pages/*.kp ../stdlib/KayaDoc.o
Constants.o: ../stdlib/HTMLDocument.o ../stdlib/Webapp.o
Templates.o: Constants.o 
NavData.o: Content.o
Navigation.o: NavData.o
LastChange.o: Navigation.o
Caching.o: Navigation.o Content.o LastChange.o

%.o: %.k
	${KAYAC} $< ${KAYAINC} -nochase -nortchecks -L ../rts_opt -L ../rts -L ../stdlib -L ../contrib

index.cgi : website.k Caching.o Constants.o Content.o NavData.o Navigation.o Templates.o LastChange.o
	${KAYAC} $< ${KAYAINC} -nortchecks -L ../rts_opt -L ../rts -L ../stdlib -L ../contrib -nochase

sitemap : sitemap.k Constants.o Content.o NavData.o Navigation.o
	${KAYAC} $< ${KAYAINC} -nortchecks -L ../rts_opt -L ../rts -L ../stdlib -L ../contrib -nochase

sitemap.xml.gz : sitemap
	./sitemap | gzip -c > sitemap.xml.gz

examples: 
	make -C files

# should really have dependency information
logos:
	sh images/logos/build.sh

install: all
	mkdir -p ${INSTALLBASE}
	mkdir -p ${XMLPATH}
	mkdir -p ${CACHEPATH}
	mkdir -p ${INSTALLPATH}
	mkdir -p ${INSTALLPATH}/files
	mkdir -p ${INSTALLPATH}/css
	mkdir -p ${INSTALLPATH}/images
	mkdir -p ${INSTALLPATH}/images/logos
	mkdir -p ${INSTALLPATH}/cgi
	mkdir -p ${INSTALLPATH}/src
	install ${CGIINSTFLAGS} ${SITE} ${INSTALLPATH}
	install ${INSTALLFLAGS} .htaccess favicon.ico sitemap.xml.gz robots.txt ${INSTALLPATH}
	install ${INSTALLFLAGS} css/* ${INSTALLPATH}/css
	install ${INSTALLFLAGS} images/*.png ${INSTALLPATH}/images
	install ${INSTALLFLAGS} images/logos/README ${INSTALLPATH}/images/logos
	install ${INSTALLFLAGS} images/logos/logos.tar.gz ${INSTALLPATH}/images/logos
	install ${INSTALLFLAGS} images/logos/*.png ${INSTALLPATH}/images/logos
	install ${INSTALLFLAGS} files/*.k ${INSTALLPATH}/files
	install ${CGIINSTFLAGS} files/*.cgi ${INSTALLPATH}/cgi
	install ${CGIDATAFLAGS} ../stdlib/*.xml ${XMLPATH}/devel
	install ${CGIDATAFLAGS} ../posix/*.xml ${XMLPATH}/devel
	install ${CGIDATAFLAGS} ../libs/*.xml ${XMLPATH}/devel
	install ${CGIDATAFLAGS} ../contrib/*.xml ${XMLPATH}/devel

clean:
	rm -f ${SITE} *.o *.ki
	make -C files clean

distclean:
	make -C files distclean
	rm -f *~

=== website/files/Makefile ===
KAYAC = ../../compiler/kayac
CXXFLAGS = -I../../rts -O2
KAYAINC = -noenvlibs -I../../stdlib -I../../rts -I../../libs 
PROGS = autofill.cgi helloweb.cgi helloweb2.cgi shape.cgi simplestate.cgi \
	webcalc.cgi webhello.cgi webimages.cgi sudokumatic.cgi
KAYAOPTS = -L ../../rts_opt -L ../../rts -L ../../stdlib -L ../../libs -nortchecks -force -deprfail
DEPS = ../../stdlib/CGI.o ../../stdlib/Webapp.o ../../libs/Image.o ../../stdlib/ElementTreeData.o

all: ${PROGS}

clean:
	rm -f ${PROGS}
	rm -f *.o *.ki

distclean:
	rm -f *~

%.cgi: %.k ${DEPS}
	${KAYAC} $< ${KAYAINC} ${KAYAOPTS}
shape.cgi: primitives.k
webcalc.cgi: calclang.k
sudokumatic.cgi: sudoku.k

## kaya 0.2.7

=== docs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SRCS = kaya.tex macros.ltx builtins.tex	functions.tex structure.tex \
        expressions.tex future.tex lexical.tex types.tex \
-       foreign.tex internals.tex modules.tex webapps.tex
+       foreign.tex internals.tex modules.tex progtypes.tex
 
 all: kaya.ps kaya.pdf

=== examples/parser/Makefile ===
webcalc.cgi: calclang.k webcalc.k
	kayac webcalc.k -seedkey calc
	   
install: webcalc.cgi
	strip webcalc.cgi
	mkdir -p ~/public_html/kaya/webcalc
	cp *.k *.cgi ~/public_html/kaya/webcalc

=== examples/shape/Makefile ===
shape.cgi: shape.k primitives.k
	   kayac shape.k -seedkey shapethingy
	   
install: shape.cgi
	strip shape.cgi
	mkdir -p ~/public_html/kaya/shapes
	cp *.k *.cgi ~/public_html/kaya/shapes/

=== examples/sudoku/Makefile ===
KAYAC = kayac
TARGET = sudokumatic.cgi

SRCS = sudoku.k sudokumatic.k
OBJS = sudokumatic.o
HTML = 

INSTALLDIR = ~/public_html/kaya/sudokumatic/

all: ${TARGET}

install: all
	strip ${TARGET}
	mkdir -p ${INSTALLDIR}
	install ${TARGET} ${HTML} ${INSTALLDIR}

${TARGET}: ${SRCS}
	${KAYAC} sudokumatic.k
	chmod o-r ${TARGET}

clean:
	rm -f *.o *.ki ${TARGET}

decruft:
	rm *~

%.o : %.k
	${KAYAC} $<

%.ki : %.o
	@:

## kaya 0.4.4

=== tests/Makefile ===
--- 
+++ 
@@ -9,3 +9,4 @@
 
 distclean:
 	rm -f *~
+	rm -f */output

=== tests/libtests/Makefile ===
KAYAC = ../../compiler/kayac
KAYAINC = -I../../rts
KAYALIB = -L ../../rts -L ../../stdlib

test: runtests

runtests: .PHONY # always build it
	${KAYAC} runtests.k -force ${KAYAINC} ${KAYALIB}
	./runtests

clean:
	rm -f *.o *.ki runtests

.PHONY:

=== debian/changelog ===
kaya (0.4.4-6ubuntu3) saucy; urgency=low

  * Rebuild to pick up new libgc package name

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 12:04:15 +0000

kaya (0.4.4-6ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:41:18 +0100

kaya (0.4.4-6ubuntu1) raring; urgency=low

  * FTBFS fixes.
  * debian/patches/ghc-7.6-fixes: Patches to work with API changes in GHC 7.6,
    mainly to make use of Control.Exception.
  * debian/patches/new-gc-api.patch: Backport of upstream commits to work with
    current boehm GC APIs
  * Add dh_autoreconf usage for the above patch.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Apr 2013 10:30:16 +0100

kaya (0.4.4-6build1) raring; urgency=low

  * Rebuild to pick up the new libgc1c3 dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:39:59 +0000

kaya (0.4.4-6) unstable; urgency=low

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b kaya-0.4.4 gave
    error exit status 2": fix handling of config.{guess,sub}:
    - remove them from the patch
    - use autotools-dev helpers in debian/rules
    (Closes: #665064)

  [ Vincent Legout ]
  * debian/patches/haskell.patch: Fix haskell modules import
  * debian/patches/gcc-4.7.patch: Fix ftbfs with gcc-4.7
  * Build-Depends on libghc-random-dev

 -- Stuart Teasdale <sdt@debian.org>  Wed, 10 Oct 2012 20:34:41 +0100

kaya (0.4.4-5) unstable; urgency=low

  * Apply patch from upstream to fix build error. Closes: #628309.
  * Fix up build deps. Closes: #621808.
  * Switch to quilt for our source format.

 -- Stuart Teasdale <sdt@debian.org>  Sat, 03 Sep 2011 11:30:58 +0100

kaya (0.4.4-4) unstable; urgency=low

  * Open /dev/urandom as a binary file. Closes: #572760. 

 -- Stuart Teasdale <sdt@debian.org>  Sun, 14 Mar 2010 21:14:30 +0000

kaya (0.4.4-3) unstable; urgency=low

  * Update libmysqlclient dependencies to reflect package name change 
  * Update glut dependencies. Closes: #543692.
  * Update standards-version
  * Lintian cleanups 

 -- Stuart Teasdale <sdt@debian.org>  Wed, 02 Sep 2009 21:56:49 +0100

kaya (0.4.4-2) unstable; urgency=low

  * Add build dependency on libghc6-editline-dev. Closes: #534000. 
  * Fix for man page lintian errors. 

 -- Stuart Teasdale <sdt@debian.org>  Sun, 28 Jun 2009 09:47:05 +0100

kaya (0.4.4-1) unstable; urgency=low

  * New  upstream version. 

 -- Stuart Teasdale <sdt@debian.org>  Thu, 16 Apr 2009 22:09:05 +0100

kaya (0.4.3-2) unstable; urgency=low

  * 496856 came back due to a mistake in merging in the new version!

 -- Stuart Teasdale <sdt@debian.org>  Sun, 15 Feb 2009 13:17:32 +0000

kaya (0.4.3-1) unstable; urgency=low

  * New upstream version fixes several major bugs
 
 -- Stuart Teasdale <sdt@debian.org>  Sun, 15 Feb 2009 10:33:12 +0000

kaya (0.4.2-4) unstable; urgency=high

  * Fix Architecture: any to architecture: all. Closes: #496856.

 -- Stuart Teasdale <sdt@debian.org>  Thu, 28 Aug 2008 08:42:20 +0100

kaya (0.4.2-3) unstable; urgency=low

  * Tweak to stack size in build for ia64
  * Patch to fix data corruption bugs. Thanks to Chris Morris. Closes: #495521.


 -- Stuart Teasdale <sdt@debian.org>  Tue, 26 Aug 2008 08:52:42 +0100

kaya (0.4.2-2) unstable; urgency=low

  * Drop ia64 due to toolchain issues. Closes: #483263.

 -- Stuart Teasdale <sdt@debian.org>  Wed, 23 Jul 2008 09:58:20 +0100

kaya (0.4.2-1) unstable; urgency=low

  * New upstream release 

 -- Stuart Teasdale <sdt@debian.org>  Mon,  9 Jun 2008 18:36:35 +0100

kaya (0.4.0-4) unstable; urgency=low


  * HPPA build fixes

 -- Stuart Teasdale <sdt@debian.org>  Sat, 17 May 2008 17:52:51 +0100

kaya (0.4.0-3) unstable; urgency=low

  * Stop using -pie on ia64 as it causes libgc to segfault. Thanks to
    Chris Morris

 -- Stuart Teasdale <sdt@debian.org>  Wed,  9 Apr 2008 20:39:52 +0100

kaya (0.4.0-2) unstable; urgency=low

  * fix to remove -fstack-protector issues on some platforms.
  * Add ulimit to stop make allocating excessive stack space. 

 -- Stuart Teasdale <sdt@debian.org>  Thu,  3 Apr 2008 22:11:22 +0100

kaya (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Teasdale <sdt@debian.org>  Sat, 15 Mar 2008 23:22:37 +0000

kaya (0.2.7-6) unstable; urgency=low

  * Fix for build on ARM.

 -- Stuart Teasdale <sdt@debian.org>  Sun,  9 Mar 2008 13:31:24 +0000

kaya (0.2.7-5) unstable; urgency=low

  * Add build dep and subpackage for ncursesw. Closes: #463717.
  * Fixes for gcc 4.3 build missing includes. Closes: #455299.

 -- Stuart Teasdale <sdt@debian.org>  Mon, 25 Feb 2008 20:58:14 +0000

kaya (0.2.7-4) unstable; urgency=low

  * Part 2 of IA-64 and Alpha build issues patched.  

 -- Stuart Teasdale <sdt@debian.org>  Wed, 21 Nov 2007 21:20:30 +0000

kaya (0.2.7-3) unstable; urgency=low

  * Corrected problem with distclean target, and autoreconfed.
    Closes: #452050.

 -- Stuart Teasdale <sdt@debian.org>  Tue, 20 Nov 2007 11:31:15 +0000

kaya (0.2.7-2) unstable; urgency=low

  * Fixes for AMD64, IA-64 and Alpha build problems. 

 -- Stuart Teasdale <sdt@debian.org>  Mon, 19 Nov 2007 10:51:27 +0000

kaya (0.2.7-1) unstable; urgency=low

  * New upstream version. 

 -- Stuart Teasdale <sdt@debian.org>  Tue, 30 Oct 2007 18:12:51 +0000

kaya (0.2.6-4) unstable; urgency=low

  * More fixes for 64 bit archs. 

 -- Stu Teasdale <stu@drogna.org.uk>  Mon, 17 Sep 2007 18:45:29 +0100

kaya (0.2.6-3) unstable; urgency=low

  * Fix for make clean not dealing with man page cleanups, thanks to 
    Chris Morris for the patch. Closes: #442609.
  * Initial fixes to deal with FTBFS on some archs, patch from Chris 
    Morris.

 -- Stuart Teasdale <sdt@debian.org>  Mon, 17 Sep 2007 08:22:16 +0100

kaya (0.2.6-2) unstable; urgency=low

  * Reintroduced build tests.

 -- Stuart Teasdale <sdt@debian.org>  Tue,  4 Sep 2007 20:19:24 +0100

kaya (0.2.6-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: kaya
Section: devel
Priority: extra
Maintainer: Stuart Teasdale <sdt@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, autotools-dev, ghc6 | ghc, libghc-mtl-dev, libgc-dev, happy, libpcre3-dev(>= 5.0), libgcrypt11-dev, libncurses5-dev, freeglut3-dev, zlib1g-dev, libgnutls-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libgd2-xpm-dev, libsdl1.2-dev,libncursesw5-dev,libghc-editline-dev, libghc-random-dev
Standards-Version: 3.8.3
Homepage: http://kayalang.org/

Package: kaya
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgc-dev, g++, zlib1g-dev, libpcre3-dev (>= 5.0), libgcrypt11-dev, libgnutls-dev
Description: A statically typed, imperative programming language
 Kaya is a compiled statically typed (ie, types are checked at compile 
 time) imperative programming language; unlike other such languages, 
 however, types are inferred rather than declared - there is no need for 
 type declarations of local variables. Kaya has "tagged union" data 
 structures, a powerful feature more commonly found in functional 
 languages such as OCaml and Haskell.
 .
 Kaya also has built-in abstractions for web application development, 
 making it easy to write a CGI program without paying too much attention 
 to low level details such as state management and form handling.

Package: libkaya-pgsql-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libpq-dev
Description: PostgreSQL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the PostgreSQL database system.

Package: libkaya-mysql-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libmysqlclient-dev
Description: MySQL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the MySQL database system.

Package: libkaya-sqlite3-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libsqlite3-dev
Description: SQLite binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the SQLite database system.

Package: libkaya-gd-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libgd2-xpm-dev
Description: GD binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the GD graphics library.

Package: libkaya-sdl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libsdl1.2-dev
Description: SDL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the SDL database system.

Package: libkaya-ncurses-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libncurses5-dev
Description: Ncurses binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for ncurses.

Package: libkaya-gl-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, freeglut3-dev
Description: OpenGL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for OpenGL.

Package: libkaya-ncursesw-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libncursesw5-dev
Description: Ncurses binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for ncurses with wide character 
 support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	dh_autotools-dev_updateconfig
	dh_autoreconf
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info 


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	ulimit -s 65536 ; $(MAKE)
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ulimit -s 65536 ; $(MAKE) test
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autotools-dev_restoreconfig

	dh_autoreconf_clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kaya.
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr mandir=$(CURDIR)/debian/tmp/usr/share/man


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs CHANGELOG-0.4
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -Ximports
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
